.blog__read-more {
    display: inline-flex;
    align-items: center;
    white-space: nowrap;
    width: 4.5rem; /* 72px */
    height: 1rem; /* 16px */
    font-family: 'Inter', sans-serif;
    font-size: 1rem; /* 16px */
    font-weight: 500;
    line-height: 1rem; /* 16px */
    text-align: left;
    text-decoration: none;
}

.blog__read-more-icon {
    width: 1.125rem !important; /* 18px */
    height: 1.125rem !important; /* 18px */
    margin-left: 0.25rem; /* 4px */
    vertical-align: middle;
}

.blog__card {
    width: 100%;
    max-width: 24rem; /* 384px */
    border-radius: 0.5rem;
    box-shadow: 0px 0.125rem 0.25rem -0.125rem #0000000D, 0px 0.25rem 0.375rem -0.0625rem #0000001A;
    overflow: hidden;
}

.blog__card img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

@media (max-width: 767px) {
    .blog__card > img {
        display: none;
    }
    .blog__read-more-icon {
        display: inline-flex; 
    }
}

.blog__page-card {
    width: 1067px;
    height: 462px;
    border-radius: 0.5rem;
    overflow: hidden;
    box-shadow: 0px 0.125rem 0.25rem -0.125rem #0000000D, 0px 0.25rem 0.375rem -0.0625rem #0000001A;
    display: flex;
    align-items: stretch;
}

.blog__page-card img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    display: block;
}

.blog__page-card .flex-grow {
    flex-grow: 1;
}

.blog__page-card .blog__read-more {
    margin-top: auto;
    display: inline-flex;
    align-items: center;
    white-space: nowrap;
    width: 4.5rem; /* 72px */
    height: 1rem; /* 16px */
    font-family: 'Inter', sans-serif;
    font-size: 1rem; /* 16px */
    font-weight: 500;
    line-height: 1rem; /* 16px */
    text-align: left;
    text-decoration: none;
}
